@use "../../../styles/defaults";
@use "../../../styles/colors";

.popup {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  top: 0;
  left: 0;
  right: 0;
  transition: visibilty 0.3s, opacity 0.3s;

  &--show {
    visibility: visible;
    opacity: 1;
  }

  &__body {
    position: relative;
    height: 100vh;

    &__backdrop {
      position: fixed;
      width: 100vw;
      height: 100vh;
      background-color: colors.$overlay-transparent;
      z-index: 1;
      cursor: pointer;
    }

    &__box {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: min(40rem, 90%);
      padding: 4.8rem;
      border-radius: defaults.$border-radius;
      background-color: colors.$primary-accent;
      z-index: 1;

      &--show {
        animation: fadeInScale 0.5s;
      }

      &--hide {
        animation: fadeOutScale 0.3s;
      }

      &__heading {
        margin-bottom: 2.8rem;
      }

      &__message {
        margin-bottom: 2.8rem;
        line-height: 2.2rem;
        color: colors.$secondary-light;
      }

      &__buttons {
        display: flex;
        justify-content: flex-end;
        gap: 1.6rem;
      }
    }
  }
}

@keyframes fadeInScale {
  0% {
    transform: translate(-50%, -50%) scale(0);
    visibility: hidden;
    opacity: 0;
  }
  50% {
    transform: translate(-50%, -50%) scale(1.05);
    visibility: visible;
    opacity: 1;
  }
  100% {
    transform: translate(-50%, -50%) scale(1);
  }
}

@keyframes fadeOutScale {
  0% {
    transform: translate(-50%, -50%) scale(1);
    visibility: visible;
    opacity: 1;
  }
  100% {
    transform: translate(-50%, -50%) scale(0);
    visibility: hidden;
    opacity: 0;
  }
}
